//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Resample/FFCompute/IComputePol.cpp
//! @brief     Implements class ComputeBA.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "Resample/FFCompute/IComputePol.h"
#include "Resample/Element/DiffuseElement.h"
#include "Resample/Flux/IFlux.h"
#include "Base/Vector/WavevectorInfo.h"

Eigen::Matrix2cd IComputePol::coherentPolFF(const DiffuseElement& ele) const
{
    return computePolFF(ele.wavevectorInfo(), ele.fluxesIn()[m_i_layer], ele.fluxesOut()[m_i_layer]);
}
